For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet Suppression List
      • POSTAdd User to Suppression List
      • DELDelete User from Suppression List
LogoLogo
LoginTalk to us
API ReferenceSuppression List

Delete User from Suppression List

DELETE
https://api.fyno.io/v1/:WSID/suppressions
DELETE
/v1/:WSID/suppressions
$curl -X DELETE "https://api.fyno.io/v1/FYXXXXXXXX/suppressions?_id=68763be4b8cee01156d9fa8a&distinct_id=XXXX-XXX-XXXX&destination=919XXXXXXXX" \
> -H "Authorization: Bearer <apiKey>"
1{
2 "status": "ok",
3 "_message": "1 record(s) has been deleted!"
4}

Delete a suppression entry using its _id, distinct_id, destination.

Note: If all three values (distinct_id, destination, _id) are provided, _id takes precedence followed by distinct_id.

Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

Query parameters

_idstringOptional
Unique identifier of the suppression record to delete.
distinct_idstringOptional

Unique identifier (used as an alternative to destination)

destinationstringOptional
Phone number or email of the suppressed user

Response

Suppression list updated.
statusstring
_messagestring

Errors

400
Bad Request Error
401
Unauthorized Error